Subject: Re: [Uta] High level comments on draft-ietf-uta-use-san

From: Brian Smith <[email-masked]>
Date: Tue, 1 Jun 2021 15:34:22 -0700

Salz, Rich <rsalz=[email-masked]> wrote:

>
>
>    - Some sections mention "server" while other sections does not state
>    anything, therefor applying to both client and server. I think the draft
>    needs to be very clear on this point.
>
>
>
>    - I saw that there was a discussion on client certs and that some
>    client certs are built with CN and cannot be easily changed. Other uses of
>    RFC 6125 like the Service Based Architecture in 3GPP 5G makes little or no
>    difference between server and client when it comes to certificates.
>
>
>
> Thanks for reading it!  The current plan is to produce a stand-alone
> 6125bis, rather than the current diff/patch document. I’ll try to make sure
> these issues are cleared up.
>

I think we should avoid mentioning roles like "client" or "server" except
non-normatively to emphasize that the spec would apply to both roles. What
matters is that the entity's identity is a DNS name.

Cheers,
Brian